  
import 'package:dgg_flutter_popmenu/my_widget/popMenuModel.dart';
import 'package:flutter/material.dart';



class PopMenu extends StatefulWidget {
  List <PopMenuModel>chooseList;
  final clickFn;
  double width;
  double height;
  @override
  _PopMenuState createState() => _PopMenuState();
  PopMenu({this.chooseList,this.width,this.height,this.clickFn});
}

class _PopMenuState extends State<PopMenu> with WidgetsBindingObserver {
  static Color lineColor = Color(0xFFE5E5E5);
  @override
  Widget build(BuildContext context) {
    return Container(
      // color: Colors.red,
      width: widget.width,
      height: widget.height,
      child: Stack(
        children: <Widget>[
          Image.asset("images/img_gengduozhankai.png",
            package: "dgg_flutter_popmenu",
            width: widget.width,
            height: widget.height,
            fit: BoxFit.fill,),
          ListView.separated(
            padding: EdgeInsets.symmetric(horizontal: 10),
            shrinkWrap: true,
              itemBuilder: (context, i){
                return popItem(widget.chooseList[i],i);
              },
              separatorBuilder: (context, index) => Divider(
                color: lineColor,
                height: 0.5,
              ),
              itemCount: widget.chooseList.length,
          ),
        ],
      ),
    );
  }
  Widget popItem(PopMenuModel model,int index){
   return GestureDetector(
     onTap: (){
       widget.clickFn(index);
     },
     child: Container(
       height: 40,
       child: Center(
         child: Text(model.title,style: TextStyle(color: Color(0xffFFFFFF),fontSize: 14),),
       ),
     )
   );
 }
}